# Uses of Interface
bsh.ConsoleInterface

Packages that use ConsoleInterface
Package
Description
bsh
bsh.util

## Uses of ConsoleInterface in bsh

Classes in bsh that implement ConsoleInterface
Modifier and Type
Class
Description
`class`
`Interpreter`
The BeanShell script interpreter.
Methods in bsh with parameters of type ConsoleInterface
Modifier and Type
Method
Description
`void`
Interpreter.`setConsole(ConsoleInterface console)`
Attach a console Note: this method is incomplete.
Constructors in bsh with parameters of type ConsoleInterface
Modifier
Constructor
Description
``
`Interpreter(ConsoleInterface console)`
Construct a new interactive interpreter attached to the specified console.
``
`Interpreter(ConsoleInterface console, NameSpace globalNameSpace)`
Construct a new interactive interpreter attached to the specified console using the specified parent namespace.

## Uses of ConsoleInterface in bsh.util

Subinterfaces of ConsoleInterface in bsh.util
Modifier and Type
Interface
Description
`interface`
`GUIConsoleInterface`
Additional capabilities of an interactive console for BeanShell.
Classes in bsh.util that implement ConsoleInterface
Modifier and Type
Class
Description
`class`
`AWTConsole`
An old AWT based console for BeanShell.
`class`
`JConsole`
A JFC/Swing based console for the BeanShell desktop.